LLVM: lldb::SBStringList Class Reference
Description: C++ source code API documentation for LLDB.
Keywords: LLDB,C++,doxygen,API,documentation

LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Friends | List of all members
lldb::SBStringList Class Reference

`#include <SBStringList.h>`

## Public Member Functions
| SBStringList ()
| SBStringList (const lldb::SBStringList &rhs)
const SBStringList & | operator= (const SBStringList &rhs)
| ~SBStringList ()
bool | IsValid () const
void | AppendString (const char *str)
void | AppendList (const char **strv, int strc)
void | AppendList (const lldb::SBStringList &strings)
uint32_t | GetSize () const
const char * | GetStringAtIndex (size_t idx)
const char * | GetStringAtIndex (size_t idx) const
void | Clear ()

## Protected Member Functions
| SBStringList (const lldb_private::StringList *lldb_strings)
void | AppendList (const lldb_private::StringList &strings)
const lldb_private::StringList * | operator-> () const
const lldb_private::StringList & | operator* () const

## Friends
class | SBCommandInterpreter
class | SBDebugger
class | SBBreakpoint

## Detailed Description

Definition at line 17 of file SBStringList.h.

## Constructor & Destructor Documentation

lldb::SBStringList::SBStringList | ( |  | ) |

lldb::SBStringList::SBStringList | ( | const lldb::SBStringList & | rhs | ) |

lldb::SBStringList::~SBStringList | ( |  | ) |

lldb::SBStringList::SBStringList | ( | const lldb_private::StringList * | lldb_strings | ) |
| protected

## Member Function Documentation

void lldb::SBStringList::AppendList | ( | const char ** | strv,
|  | int | strc
| ) |  |

void lldb::SBStringList::AppendList | ( | const lldb::SBStringList & | strings | ) |

void lldb::SBStringList::AppendList | ( | const lldb_private::StringList & | strings | ) |
| protected

void lldb::SBStringList::AppendString | ( | const char * | str | ) |

void lldb::SBStringList::Clear | ( |  | ) |

uint32_t lldb::SBStringList::GetSize | ( |  | ) | const

const char* lldb::SBStringList::GetStringAtIndex | ( | size_t | idx | ) |

const char* lldb::SBStringList::GetStringAtIndex | ( | size_t | idx | ) | const

bool lldb::SBStringList::IsValid | ( |  | ) | const

const lldb_private::StringList& lldb::SBStringList::operator* | ( |  | ) | const
| protected

const lldb_private::StringList* lldb::SBStringList::operator-> | ( |  | ) | const
| protected

const SBStringList& lldb::SBStringList::operator= | ( | const SBStringList & | rhs | ) |

## Friends And Related Function Documentation

friend class SBBreakpoint
| friend

Definition at line 46 of file SBStringList.h.

friend class SBCommandInterpreter
| friend

Definition at line 44 of file SBStringList.h.

friend class SBDebugger
| friend

Definition at line 45 of file SBStringList.h.

The documentation for this class was generated from the following file:

- SBStringList.h